/* Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file  ap_config_layout.h
 * @brief Apache Config Layout
 */

#ifndef AP_CONFIG_LAYOUT_H
#define AP_CONFIG_LAYOUT_H

/* Configured Apache directory layout */
#define DEFAULT_PREFIX "FIXMESTAGINGDIRHOST/usr"
#define DEFAULT_EXP_EXEC_PREFIX "FIXMESTAGINGDIRHOST/usr"
#define DEFAULT_REL_EXEC_PREFIX ""
#define DEFAULT_EXP_BINDIR "FIXMESTAGINGDIRHOST/usr/bin"
#define DEFAULT_REL_BINDIR "bin"
#define DEFAULT_EXP_SBINDIR "FIXMESTAGINGDIRHOST/usr/sbin"
#define DEFAULT_REL_SBINDIR "sbin"
#define DEFAULT_EXP_LIBEXECDIR "FIXMESTAGINGDIRHOST/usr/lib/apache2/modules"
#define DEFAULT_REL_LIBEXECDIR "lib/apache2/modules"
#define DEFAULT_EXP_MANDIR "FIXMESTAGINGDIRHOST/usr/share/man"
#define DEFAULT_REL_MANDIR "share/man"
#define DEFAULT_EXP_SYSCONFDIR "FIXMESTAGINGDIRHOST/etc/apache2"
#define DEFAULT_REL_SYSCONFDIR "FIXMESTAGINGDIRHOST/etc/apache2"
#define DEFAULT_EXP_DATADIR "FIXMESTAGINGDIRHOST/usr/share/apache2"
#define DEFAULT_REL_DATADIR "share/apache2"
#define DEFAULT_EXP_INSTALLBUILDDIR "FIXMESTAGINGDIRHOST/usr/libexec/apache2-native/build"
#define DEFAULT_REL_INSTALLBUILDDIR "libexec/apache2-native/build"
#define DEFAULT_EXP_ERRORDIR "FIXMESTAGINGDIRHOST/usr/share/apache2/error"
#define DEFAULT_REL_ERRORDIR "share/apache2/error"
#define DEFAULT_EXP_ICONSDIR "FIXMESTAGINGDIRHOST/usr/share/apache2/icons"
#define DEFAULT_REL_ICONSDIR "share/apache2/icons"
#define DEFAULT_EXP_HTDOCSDIR "FIXMESTAGINGDIRHOST/usr/share/apache2/htdocs"
#define DEFAULT_REL_HTDOCSDIR "share/apache2/htdocs"
#define DEFAULT_EXP_MANUALDIR "FIXMESTAGINGDIRHOST/usr/share/apache2/manual"
#define DEFAULT_REL_MANUALDIR "share/apache2/manual"
#define DEFAULT_EXP_CGIDIR "FIXMESTAGINGDIRHOST/usr/share/apache2/cgi-bin"
#define DEFAULT_REL_CGIDIR "share/apache2/cgi-bin"
#define DEFAULT_EXP_INCLUDEDIR "FIXMESTAGINGDIRHOST/usr/include/apache2"
#define DEFAULT_REL_INCLUDEDIR "include/apache2"
#define DEFAULT_EXP_LOCALSTATEDIR "FIXMESTAGINGDIRHOST/var"
#define DEFAULT_REL_LOCALSTATEDIR "FIXMESTAGINGDIRHOST/var"
#define DEFAULT_EXP_RUNTIMEDIR "FIXMESTAGINGDIRHOST/var/logs"
#define DEFAULT_REL_RUNTIMEDIR "FIXMESTAGINGDIRHOST/var/logs"
#define DEFAULT_EXP_LOGFILEDIR "FIXMESTAGINGDIRHOST/var/logs"
#define DEFAULT_REL_LOGFILEDIR "FIXMESTAGINGDIRHOST/var/logs"
#define DEFAULT_EXP_PROXYCACHEDIR "FIXMESTAGINGDIRHOST/var/proxy"
#define DEFAULT_REL_PROXYCACHEDIR "FIXMESTAGINGDIRHOST/var/proxy"

#endif /* AP_CONFIG_LAYOUT_H */
